
<div class="container mx-auto p-4">
  <h1 class="text-3xl font-bold text-center mb-8">Explore the US</h1>
  <p class="text-center">Click on any card to visit the city's page</p>
  <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 px-4 sm:px-8 lg:px-16">
    <div *ngFor="let skeleton of skeletons" class="basis-1/3">
      <app-card-skeleton></app-card-skeleton>
    </div>
    <div *ngFor="let city of citiesSummary" class="basis-1/3">
      <app-card-component class="max-h" [regionCode]="city.regionCode" [population]="city.population" [largeImageUrl]="city.largeImageUrl" [cityName]="city.city" [imageUrl]="city.imageUrl" [hashTags]="city.hashTags" [summary]="city.summary"></app-card-component>
    </div>
  </div>
</div>